package io.hugo.rpc.test.registry;

import io.binghe.rpc.protocol.meta.ServiceMeta;
import io.tao.rpc.registry.api.RegistryService;
import io.tao.rpc.registry.api.config.RegistryConfig;
import io.tao.rpc.registry.zookeeper.ZookeeperRegistryService;
import org.junit.Before;
import org.junit.Test;

import java.io.IOException;

/**
 * @Author Mi_Tao
 * @Date 2024/1/20
 * @Description 必填1
 * @Version 1.0
 **/
public class ZookeeperRegistryTest {

    private RegistryService registryService;

    private ServiceMeta serviceMeta;

    @Before
    public void init() throws Exception{
        RegistryConfig registryConfig = new RegistryConfig("127.0.0.1:2181", "zookeeper", "random");
        this.registryService = new ZookeeperRegistryService();
        this.registryService.init(registryConfig);
        this.serviceMeta = new ServiceMeta(ZookeeperRegistryTest.class.getName(), "1.0.0", "binghe", "127.0.0.1", 8080, 1);
    }

    @Test
    public void testRegister() throws Exception {
        this.registryService.register(serviceMeta);
    }

    @Test
    public void testUnRegister() throws Exception {
        this.registryService.unRegister(serviceMeta);
    }

    @Test
    public void testDiscovery() throws Exception {
        this.registryService.discovery(RegistryService.class.getName(), "binghe".hashCode(), "127.0.0.1");
    }

    @Test
    public void testDestroy() throws IOException {
        this.registryService.destroy();
    }
}
