package io.tao.rpc.spi.factory;

import io.tao.rpc.spi.annotation.SPI;
import io.tao.rpc.spi.annotation.SPIClass;
import io.tao.rpc.spi.loader.ExtensionLoader;

import java.util.Optional;

/**
 * @Author Mi_Tao
 * @Date 2024/1/20
 * @Description 必填1
 * @Version 1.0
 **/
@SPIClass
public class SpiExtensionFactory implements ExtensionFactory{
    @Override
    public <T> T getExtension(Class<T> type, String key) {

        // 返回 接口且有SPI注解的实现类
        return Optional.ofNullable(type).filter(Class::isInterface)
                .filter(cls -> cls.isAnnotationPresent(SPI.class))
                .map(ExtensionLoader::getExtensionLoader)
                .map(ExtensionLoader::getDefaultSpiClassInstance)
                .orElse(null);
    }
}
